Download it now!
Bug 112103 - FILESAVE: XML element for table cell background no fill unnecessarily written in DOCX
Summary: FILESAVE: XML element for table cell background no fill unnecessarily written...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables OOXML-Export-Cleanup
  Show dependency treegraph
 
Reported: 2017-08-30 10:53 UTC by Aron Budea
Modified: 2019-11-14 07:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-30 10:53:29 UTC
This is a follow up to bug 109184. The remaining issue is that when DOCX tables with no fill background are roundtripped in Writer, the following element is added to the file:
<w:shd w:fill="auto" w:val="clear" />

This is unnecessary, as it's the default, and Word doesn't insert the element with such attributes.
Open&save attachment 135592 [details] (created in Word) in Writer. Check document.xml in the resulting file.

Observed with LO 6.0 daily build (2017-08-29_22:58:12, 7f4e02e3809e10564bd2bb91465c99f4dd207da7) / Windows 7.
Comment 1 Commit Notification 2019-10-16 16:20:28 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0a7ed1052d0affe067e534b72a61461ca7058f1

tdf#112103 DOCX cleanup: don't export redundant table bkground color "auto"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.